<?php

/**
 * @file
 * Configuration variable Definition for LiftIgniter module.
 */

/**
 * Implements hook_variable_info().
 */
function liftigniter_variable_info($options) {
  $variables['liftigniter_enable'] = array(
    'type' => 'boolean',
    'title' => t('Enable LiftIgniter', array(), $options),
    'default' => FALSE,
    'group' => 'liftigniter',
    'localize' => TRUE,
    'description' => t('Master Enable option for LiftIgniter.', array(), $options),
  );
  $variables['liftigniter_js_access_key'] = array(
    'type' => 'text',
    'title' => t('JS Key', array(), $options),
    'default' => '',
    'group' => 'liftigniter',
    'localize' => TRUE,
    'description' => t('JavaScript Key (SDK) of the LiftIgniter.', array(), $options),
  );
  $variables['liftigniter_api_access_key'] = array(
    'type' => 'text',
    'title' => t('API Key', array(), $options),
    'default' => '',
    'group' => 'liftigniter',
    'localize' => TRUE,
    'description' => t('API Key (REST) of the LiftIgniter.', array(), $options),
  );
  $variables['liftigniter_request_fields'] = array(
    'type' => 'text',
    'title' => t('Fields List', array(), $options),
    'default' => '',
    'group' => 'liftigniter',
    'localize' => TRUE,
    'description' => t('Additional String value fields to be returned from LiftIgniter.', array(), $options),
  );
  $variables['liftigniter_array_request_fields'] = array(
    'type' => 'text',
    'title' => t('Array Value Field List', array(), $options),
    'default' => '',
    'group' => 'liftigniter',
    'localize' => TRUE,
    'description' => t('Additional Array value fields to be returned from LiftIgniter.', array(), $options),
  );
  $variables['liftigniter_set_no_tag'] = array(
    'type' => 'boolean',
    'title' => t('Set No Tag for LiftIgniter Recommendation', array(), $options),
    'default' => FALSE,
    'group' => 'liftigniter',
    'localize' => TRUE,
    'description' => t('Enable not to add tags to recommendations.', array(), $options),
  );
  $variables['liftigniter_config'] = array(
    'type' => 'text',
    'title' => t('Global Configurations', array(), $options),
    'default' => '{}',
    'group' => 'liftigniter',
    'localize' => TRUE,
    'description' => t('Global configurations to be added in LiftIgniter JavaScript Snippet.', array(), $options),
  );

  return $variables;
}

/**
 * Implements hook_variable_group_info().
 */
function liftigniter_variable_group_info() {
  $groups['liftigniter'] = array(
    'title' => t('LiftIgniter'),
    'description' => t('Variables related to LiftIgniter Module'),
    'access' => 'administer site configuration',
    'path' => array('admin/config/services/liftigniter'),
  );
  return $groups;
}
